package net.sf.javaprinciples.resource;

/**
 * 
 * @author wslade
 * @param <T> - content type to format
 * @param <S> - formatted type
 */
public interface ResourceFormatter<T,S>
{
    /**
     * 
     * @param content Any content that can be converted, never null
     * @return The formatted content, never null
     */
    public S formatResource(T content);
}
